32322450 Security Vulnerability - heap buffer overflow in libgiftranscode.so

* No range checking was done on the background color index. Add range
checking and bail if the color index is out of range.

* Test
- tested sending the gif attached in the bug.
- tested sending a 3.5mb gif to verify the gif transcoding was taking place.
- tested on arm64, arm, and x86 devices.

Change-Id: Id16ddccf05c8472ddebc1284b2a928dafd1be551
Fixes: 32322450
(cherry picked from commit bcc1f62715f8005684ac6b798d0d54224394e975)
1 file changed